using System.Collections.Generic;
using MessagePack;
#if GameClient
using GameFramework;
#endif

namespace GameMessage
{
    [Message(MessageCode.GetGameGoldRecordLogRequest)]
    [MessagePackObject]
    public class GetGameGoldRecordLogRequest : MessageData
    {
        /// <summary>
        /// 查最近几天的
        /// </summary>
        [Key(0)] public int Day;

        /// <summary>
        /// 那个游戏 -1 表示全部游戏
        /// </summary>
        [Key(1)] public int GameClientId;

        /// <summary>
        /// 第几页
        /// </summary>
        [Key(2)] public int Page;

        /// <summary>
        /// 一页显示多少条
        /// </summary>
        [Key(3)] public int PageSize;

#if GameClient
        public static GetGameGoldRecordLogRequest Create()
        {
            return ReferencePool.Acquire<GetGameGoldRecordLogRequest>();
        }

        public override void Clear()
        {
            Day = 0;
            GameClientId = 0;
            Page = 0;
            PageSize = 0;
        }
#endif
    }

    [Message(MessageCode.GetGameGoldRecordLogResponse)]
    [MessagePackObject]
    public class GetGameGoldRecordLogResponse : MessageData
    {
        /// <summary>
        /// 数据
        /// </summary>
        [Key(0)] public List<WarGoldRecordItemData> Datas;
    }
}